NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::SectionEditBuilder Class Reference

Represents a NXOpen::Features::SectionEdit builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSectionEditBuilder

Created in NX6.0.0. More...

Inheritance diagram for NXOpen::Features::SectionEditBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectBodyBody ()
 Returns the body which is cut by sectioning plane
Created in NX6.0.0. More...
 
bool IsNewPlane ()
 Returns the flag which represents whether the plane is newly created or existing one
Created in NX6.0.0. More...
 
NXOpen::ISurfacePlane ()
 Returns the sectioning plane for cutting section on a body
Created in NX6.0.0. More...
 
void SetNewPlane (bool isNewPlane)
 Sets the flag which represents whether the plane is newly created or existing one
Created in NX6.0.0. More...
 
void SetPlane (NXOpen::ISurface *plane)
 Sets the sectioning plane for cutting section on a body
Created in NX6.0.0. More...
 
void SetSketch (NXOpen::Sketch *sketch)
 Sets the sketch which holds the section curves
Created in NX6.0.0. More...
 
NXOpen::SketchSketch ()
 Returns the sketch which holds the section curves
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::SectionEdit builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSectionEditBuilder

Created in NX6.0.0.


Member Function Documentation

NXOpen::SelectBody* NXOpen::Features::SectionEditBuilder::Body ( )

Returns the body which is cut by sectioning plane
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::SectionEditBuilder::IsNewPlane ( )

Returns the flag which represents whether the plane is newly created or existing one
Created in NX6.0.0.



License requirements : None

NXOpen::ISurface* NXOpen::Features::SectionEditBuilder::Plane ( )

Returns the sectioning plane for cutting section on a body
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::SectionEditBuilder::SetNewPlane ( bool  isNewPlane)

Sets the flag which represents whether the plane is newly created or existing one
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isNewPlaneis new plane
void NXOpen::Features::SectionEditBuilder::SetPlane ( NXOpen::ISurface plane)

Sets the sectioning plane for cutting section on a body
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
planeplane
void NXOpen::Features::SectionEditBuilder::SetSketch ( NXOpen::Sketch sketch)

Sets the sketch which holds the section curves
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sketchsketch
NXOpen::Sketch* NXOpen::Features::SectionEditBuilder::Sketch ( )

Returns the sketch which holds the section curves
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.